Subject: Re: [v6ops] Prep for v6ops IETF 84 agenda

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 9 Jul 2012 17:05:42 -0700

Hi Joe,

I have taken your suggestion and now have two separate
documents:

> I was expecting a differrent approach:
> 
> 	a) revise this doc to focus on ops issues that
> 	don't require any standards changes

Here is the original one that has now been revised to
focus on ops issues that don't require any standards
changes:

https://datatracker.ietf.org/doc/draft-generic-v6ops-tunmtu/

> 
> 	b) propose the problem of IPv6 downstream refragmentation
> 	in a separate doc in a different WG

and, here is a new one that addresses fragmentation
in a separate doc in the 6man WG:

http://www.ietf.org/id/draft-generic-6man-tunfrag-02.txt

Thanks - Fred
[email-masked]

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 9 Jul 2012 17:07:57 -0700

Hi Fred,

> -----Original Message-----
> From: Fred Baker (fred) [mailto:[email-masked]]
> Sent: Thursday, June 28, 2012 4:21 PM
> To: Templin, Fred L
> Cc: [email-masked] WG; Ron Bonica
> Subject: Re: Prep for v6ops IETF 84 agenda
> 
> 
> On Jun 29, 2012, at 12:34 AM, Templin, Fred L wrote:
> 
> >> -----Original Message-----
> >> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of
> >> Fred Baker (fred)
> >> Sent: Sunday, June 24, 2012 7:05 PM
> >> To: [email-masked] WG
> >> Cc: Ron Bonica
> >> Subject: [v6ops] Prep for v6ops IETF 84 agenda
> >>
> >> I sat down this morning to assess our agenda. Interested in working
> group
> >> comment.
> >
> > OK Fred; I'll bite. Why are you listing 'draft-generic-v6ops-tunmtu'
> > as "#out of charter"?
> 
> Because changes to section 4.5 of RFC 2460 ("a source node may divide the
> packet...") is a change to RFC 2460, and should be discussed by the folks
> maintaining RFC 2460.

This document has now been revised to speak only to
operational issues (and not any changes to RFC2460
nor any other documents):

Please re-review and re-evaluate in terms of charter
applicability.

Thanks - Fred
 
> Begin forwarded message:
> 
> > From: "Fred Baker (fred)" <[email-masked]>
> > Date: June 23, 2012 5:43:22 AM GMT+08:00
> > To: Fred Templin <[email-masked]>, "[email-masked] WG"
> <[email-masked]>
> > Subject: Re: [v6ops] new draft: draft-generic-v6ops-tunmtu
> >
> > Coming back to this as a meta-issue.
> >
> > v6ops is about operational considerations and procedures, but not
> protocols; disputing RFC 2460, aka redesigning IPv6, seems like a protocol
> issue.
> >
> > The reason to not do inner fragmentation, if memory serves, has to do
> with the behavior of fragmentation in the network and its effect on
> communications. For example, suppose you and I are in 9K clean networks
> (so the TCP MSS starts out as 9K), my link to the public network has an
> MTU of 1500, and somewhere en route to you there is another link with an
> MTU of 1400. When I send a 9K packet, it will become six 1500 byte packets
> with a small caboose that picks up the size of five IP headers (IPv4 or
> IPv6), and what you will receive is six 1400 byte packets interspersed
> with six 100+IP byte packets, followed by the original caboose. What if
> the fragmenting router's queue, at the time of fragmentation, was one
> packet short of the needed capacity? Maybe the retransmission follows a
> different path and is fragmented differently, resulting in funny overlaps
> whose handling isn't very well specified. There's nothing *incorrect*
> about a stream of 13 packets of various sizes being reassem
> > bled, but integrating retransmissions gets messy. IIRC, they just wanted
> to clean that up.
> >
> > Which brings me to the following consideration.
> >
> > If we're talking about having one tunnel endpoint put a message into a
> tunnel datagram and then fragment it, and have the other tunnel endpoint
> reassemble the original and forward it, we are talking about an
> operational procedure that requires support in a router, but which I can
> correlate with section 5 of RFC 2460.
> >
> > One thing I would invite is discussion of operational experience with
> RFC 4821. Wouldn't it be nice if the endpoint actually chose an MSS based
> on what actually worked (shades of Happy Eyeballs), rather than depending
> on error messages that network operators routinely filter out?
> >
> > If we're talking about changing the recommendation of RFC 2460 regarding
> who does fragmentation, that sounds like an IPv6 protocol change, and I'd
> like to refer that to 6MAN.
> >
> > Does that make sense?
> > _______________________________________________
> > v6ops mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/v6ops

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 10 Jul 2012 02:01:13 +0000

No problem. Same rules apply as to all drafts; Joel and I will be looking for operational interest from the working group.

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 10 Jul 2012 08:26:32 -0700

Fred,

> Sent: Monday, July 09, 2012 7:01 PM
> To: Templin, Fred L
> No problem. Same rules apply as to all drafts; Joel and I will be looking
> for operational interest from the working group.

There was a lot of list discussion on this beginning
in mid-May and extending through the end of June, with
a considerable number of people involved.

Fred

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 10 Jul 2012 15:51:11 +0000

I have an updated list, as of the -00 cutoff yesterday. I have culled out drafts that have not been updated since the last meeting.

The three "not clear" drafts seem to me on the hairy edge. In Fred's case, yes, there has been list discussion. It has mostly been to tell him he's wrong in his approach. What little discussion has happened on draft-lopez-v6ops-dc-ipv6 seems to mostly point to other documents as already saying things. draft-zhang-v6ops-ipv6oa-iwf is just new, and hasn't been discussed.

Your thoughts on this?

#no expressed interest
Apr 26 20:07 draft-jiang-v6ops-v4v6mc-proxy-01.txt
Mar 29 11:27 draft-donley-v6ops-ce-router-design-00.txt

#out of charter
May  9 19:44 draft-templin-v6ops-isops-17.txt
Mar 30 19:33 draft-yang-v6ops-fast6-00.txt

#in IESG or RFC Editor queues
May 15 10:12 draft-kuarsingh-v6ops-6to4-provider-managed-tunnel-06.txt
May 22 05:30 draft-ietf-v6ops-ra-guard-implementation-04.txt
Jul  3 02:45 draft-ietf-v6ops-ivi-icmp-address-02.txt
May 29 19:10 draft-ietf-v6ops-wireline-incremental-ipv6-04.txt
Jun  9 13:41 draft-ietf-v6ops-ipv6-discard-prefix-05.txt
May 16 19:02 draft-ietf-v6ops-6204bis-09.txt

#WGLC requested in v6ops, no news from AD on sunset4
Jul  2 20:42 draft-ietf-v6ops-464xlat-05.txt (WGLC requested by authors)

#Not clear
Jun 19 19:33 draft-lopez-v6ops-dc-ipv6-02.txt
Jul  4 07:42 draft-generic-v6ops-tunmtu-09.txt
Jun 30 03:02 draft-zhang-v6ops-ipv6oa-iwf-00.txt

#For agenda
Jun 29 06:37 draft-matthews-v6ops-design-guidelines-00.txt
Jun 12 03:26 draft-ietf-v6ops-icp-guidance-01.txt (WGLC requested by authors)
Apr 29 21:58 draft-gundavelli-v6ops-community-wifi-svcs-04.txt
Jul  4 02:18 draft-chen-v6ops-nat64-experience-02.txt

On Jun 24, 2012, at 7:04 PM, Fred Baker (fred) wrote:

> I sat down this morning to assess our agenda. Interested in working group comment.
> 
> # no update
> Jan 11 16:48 draft-yang-v6ops-fast6-pppoe-02.txt
> Feb 21 18:10 draft-ietf-v6ops-ipv6-multihoming-without-ipv6nat-04.txt
> Feb 23 07:29 draft-carpenter-v6ops-icp-guidance-03.txt
> Feb 25 11:37 draft-ietf-v6ops-ivi-icmp-address-01.txt
> Feb 28 08:49 draft-chkpvc-enterprise-incremental-ipv6-00.txt
> Mar  5 17:46 draft-ma-v6ops-terminal-test-00.txt
> Mar  7 07:33 draft-carpenter-v6ops-label-balance-02.txt
> Mar 12 06:21 draft-vanrein-v6ops-6bed4-01.txt
> Mar 12 17:52 draft-chen-v6ops-nat64-experience-01.txt
> Mar 12 21:34 draft-liu-v6ops-ula-usage-analysis-02.txt
> Mar 13 04:59 draft-sunq-v6ops-contents-transition-03.txt
> Mar 30 03:27 draft-donley-v6ops-ce-router-design-00.txt
> Mar 31 11:33 draft-yang-v6ops-fast6-00.txt
> 
> #no expressed interest
> Jun 20 11:33 draft-lopez-v6ops-dc-ipv6-02.txt
> Apr 27 12:07 draft-jiang-v6ops-v4v6mc-proxy-01.txt
> 
> #out of charter
> Jun 24 07:59 draft-generic-v6ops-tunmtu-07.txt
> May 10 11:44 draft-templin-v6ops-isops-17.txt
> 
> #in IESG queue
> May 30 11:10 draft-ietf-v6ops-wireline-incremental-ipv6-04.txt
> May 17 11:02 draft-ietf-v6ops-6204bis-09.txt
> 
> 
> #WGLC in v6ops or move to sunset4; awaiting AD direction
> May  8 10:14 draft-ietf-v6ops-464xlat-03.txt
> 
> #potential for agenda
> Apr 30 13:58 draft-gundavelli-v6ops-community-wifi-svcs-04.txt
> May 16 02:12 draft-kuarsingh-v6ops-6to4-provider-managed-tunnel-06.txt
> May 22 21:30 draft-ietf-v6ops-ra-guard-implementation-04.txt
> 
> #for agenda, perhaps ready for last call
> Jun 12 19:26 draft-ietf-v6ops-icp-guidance-01.txt
> 
> 
> 
> For draft-ietf-v6ops-ivi-icmp-address, the last discussion was in April, and we were to expect an update. If that happens, I expect to bring that to the agenda. 
> 
> Lee asked about draft-chkpvc-enterprise-incremental-ipv6 on the list, but I see no update and I wasn't clear on the list commentary, whether the operators want to discuss. 
> 
> There is still, of course, time for folks to post -00 drafts (until 9 July); if there is list discussion of those drafts, we will include them in the agenda.

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 10 Jul 2012 08:59:02 -0700

Fred,

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Fred Baker (fred)
> Sent: Tuesday, July 10, 2012 8:51 AM
> To: [email-masked] WG
> Cc: Ron Bonica
> Subject: Re: [v6ops] Prep for v6ops IETF 84 agenda
> 
> I have an updated list, as of the -00 cutoff yesterday. I have culled out
> drafts that have not been updated since the last meeting.
> 
> The three "not clear" drafts seem to me on the hairy edge. In Fred's case,
> yes, there has been list discussion. It has mostly been to tell him he's
> wrong in his approach.

That's why we have list discussion - to set things right.
'draft-generic-v6ops-tunmtu' now has things right, and
should have a more solid status than "not clear".

> What little discussion has happened on draft-lopez-
> v6ops-dc-ipv6 seems to mostly point to other documents as already saying
> things. draft-zhang-v6ops-ipv6oa-iwf is just new, and hasn't been
> discussed.
> 
> Your thoughts on this?

This is somewhat better, but now I need to ask why do you
have 'draft-templin-v6ops-isops' as out of charter?

Thanks - Fred

> group comment.
> > For draft-ietf-v6ops-ivi-icmp-address, the last discussion was in April,
> and we were to expect an update. If that happens, I expect to bring that
> to the agenda.
> >
> > Lee asked about draft-chkpvc-enterprise-incremental-ipv6 on the list,
> but I see no update and I wasn't clear on the list commentary, whether the
> operators want to discuss.
> >
> > There is still, of course, time for folks to post -00 drafts (until 9
> July); if there is list discussion of those drafts, we will include them
> in the agenda.

---

From: "Diego R. Lopez" <[email-masked]>
Date: Wed, 11 Jul 2012 10:12:16 +0000

Hi,

On 10 Jul 2012, at 17:51 , Fred Baker (fred) wrote:
> What little discussion has happened on draft-lopez-v6ops-dc-ipv6 seems to mostly point to other documents as already saying things.

I have a different impression. The (not that much, granted) discussion has focused
on clarifying aspects regarding the proposed levels and where certain solutions could
fit in those levels. It is true that some precisions on the right references were
made, but if as far as I can recall they were made as additional comments.

Be goode,

--
"Esta vez no fallaremos, Doctor Infierno"

Dr Diego R. Lopez
Telefonica I+D
http://people.tid.es/diego.lopez/

e-mail: [email-masked]
Tel:    +34 913 129 041
Mobile: +34 682 051 091
-----------------------------------------

________________________________

Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at.
http://www.tid.es/ES/PAGINAS/disclaimer.aspx

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 11 Jul 2012 21:28:03 +0000

I have uploaded a preliminary agenda, at
    http://www.ietf.org/proceedings/84/agenda/agenda-84-v6ops

I have put the drafts that I identified as clearly appropriate on Thursday, and the "unclear" on Friday. Those who object to the latter set are free to leave Thursday evening :-) We should have at least half an hour per draft for discussion.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 12 Jul 2012 11:20:00 +0000

Fred and Joel,

As several authors of draft-chkpvc-enterprise-incremental-ipv6-00 will be in Vancouver, can we have a slot at one V6OPS WG meeting to present our I-D? It has got some discussions on the list in June so there is indeed interest (and I agree with Brian this may be too ambitious and could be limited to a RFC roadmap for beginners).

Thanks a lot in advance

Regards

-éric

PS: and I understand that, once again, we are late.

> Sent: mercredi 11 juillet 2012 23:28
> To: [email-masked] WG
> Cc: Ron Bonica
> I have put the drafts that I identified as clearly appropriate on Thursday,
> and the "unclear" on Friday. Those who object to the latter set are free to
> leave Thursday evening :-) We should have at least half an hour per draft
> for discussion.